> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve one contact

> Returns a contact



## OpenAPI

````yaml get /consumers/{consumer_id}/invoicing/contacts/{contact_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/invoicing/contacts/{contact_id}:
    get:
      tags:
        - Invoicing
        - Contacts
      summary: Retrieve one contact
      description: Returns a contact
      operationId: invoicing_get_contact
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: contact_id
          in: path
          required: true
          schema:
            type: string
            title: Contact Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactItemOut'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              example:
                message: The contact doesn't exist.
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - invoicing
            - invoicing.read
            - invoicing.contacts
            - invoicing.contacts.read
components:
  schemas:
    ContactItemOut:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        is_prospect:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Prospect
          description: Is a prospect?
        is_customer:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Customer
          description: Is a customer?
        is_supplier:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Supplier
          description: Is a supplier?
        is_company:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Company
          description: Is a company?
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
          description: Name of the company
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: Firstname
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
          description: Mobile
        company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Id
          description: Technical id of the contact' company in Chift
        vat:
          anyOf:
            - type: string
            - type: 'null'
          title: Vat
          description: VAT number
        company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Number
          description: >-
            Company number (identification number different than the VAT (e.g.
            siret))
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency matching target sofware name
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: Language matching target sofware name
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Comment
        customer_account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Account Number
          description: Number of the accounting account used for sales (e.g. 701000)
        supplier_account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplier Account Number
          description: Number of the accounting account used for purchases (e.g. 601000)
        birthdate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Birthdate
          description: Birthdate
        gender:
          anyOf:
            - $ref: '#/components/schemas/ContactGender'
            - type: 'null'
          description: Gender
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressItemOutInvoicing'
              type: array
            - type: 'null'
          title: Addresses
          description: Addresses
          default: []
        external_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: External Reference
          description: External reference of the contact in the invoicing system
      type: object
      required:
        - id
        - source_ref
      title: ContactItemOut
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    ContactGender:
      type: string
      enum:
        - H
        - F
        - N/A
      title: ContactGender
    AddressItemOutInvoicing:
      properties:
        address_type:
          $ref: '#/components/schemas/AddressTypeInvoicing'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Format: ISO 3166-1 codes.'
      type: object
      required:
        - address_type
      title: AddressItemOutInvoicing
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AddressTypeInvoicing:
      type: string
      enum:
        - main
        - delivery
        - invoice
        - other
      title: AddressTypeInvoicing
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````